import { AuthenticationApi, CryptoStrategies, DataOwnerWithType, MedTechApi } from '../../index';
import { AnonymousApiBuilder, CommonAnonymousApi, CryptoPrimitives, KeyStorageFacade, StorageFacade } from '@icure/typescript-common';
import { MedTechCryptoStrategies } from '../services/MedTechCryptoStrategies';
export declare class AnonymousMedTechApi extends CommonAnonymousApi<MedTechApi> {
    private readonly cryptoPrimitives;
    private readonly cryptoStrategies;
    private readonly _iCureUrlPath;
    private readonly _msgGwUrl;
    private readonly _msgGwSpecId;
    private readonly _authenticationApi;
    constructor(iCureUrlPath: string, msgGwUrl: string, msgGwSpecId: string, storage: StorageFacade<string>, keyStorage: KeyStorageFacade, cryptoPrimitives: CryptoPrimitives, cryptoStrategies: CryptoStrategies<DataOwnerWithType>, authProcessInfo: {
        authProcessBySmsId: string;
        authProcessByEmailId?: string;
    } | {
        authProcessBySmsId?: string;
        authProcessByEmailId: string;
    });
    get authenticationApi(): AuthenticationApi;
}
export declare namespace AnonymousMedTechApi {
    class Builder extends AnonymousApiBuilder<MedTechCryptoStrategies, AnonymousMedTechApi> {
        protected doBuild(props: {
            iCureBaseUrl: string;
            msgGwUrl: string;
            msgGwSpecId: string;
            storage: StorageFacade<string>;
            keyStorage: KeyStorageFacade;
            primitives: CryptoPrimitives;
            cryptoStrategies: MedTechCryptoStrategies;
            authProcessInfo: {
                authProcessBySmsId: string;
                authProcessByEmailId?: string;
            } | {
                authProcessBySmsId?: string;
                authProcessByEmailId: string;
            };
        }): Promise<AnonymousMedTechApi>;
    }
}
