"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnonymousMedTechApi = void 0;
const index_1 = require("../../index");
const typescript_common_1 = require("@icure/typescript-common");
class AnonymousMedTechApi extends typescript_common_1.CommonAnonymousApi {
    constructor(iCureUrlPath, msgGwUrl, msgGwSpecId, storage, keyStorage, cryptoPrimitives, cryptoStrategies, authProcessInfo) {
        super(msgGwUrl, msgGwSpecId, storage, keyStorage);
        this.cryptoPrimitives = cryptoPrimitives;
        this.cryptoStrategies = cryptoStrategies;
        this._msgGwUrl = msgGwUrl;
        this._msgGwSpecId = msgGwSpecId;
        this._iCureUrlPath = iCureUrlPath;
        this._authenticationApi = new index_1.AuthenticationApi(this._messageGatewayApi, this._iCureUrlPath, authProcessInfo.authProcessByEmailId, authProcessInfo.authProcessBySmsId, this._errorHandler, this._sanitizer, cryptoPrimitives, storage, keyStorage, this.cryptoStrategies, this._msgGwSpecId, this._msgGwUrl);
    }
    get authenticationApi() {
        return this._authenticationApi;
    }
}
exports.AnonymousMedTechApi = AnonymousMedTechApi;
(function (AnonymousMedTechApi) {
    class Builder extends typescript_common_1.AnonymousApiBuilder {
        doBuild(props) {
            return Promise.resolve(new AnonymousMedTechApi(props.iCureBaseUrl, props.msgGwUrl, props.msgGwSpecId, props.storage, props.keyStorage, props.primitives, props.cryptoStrategies, props.authProcessInfo));
        }
    }
    AnonymousMedTechApi.Builder = Builder;
})(AnonymousMedTechApi = exports.AnonymousMedTechApi || (exports.AnonymousMedTechApi = {}));
//# sourceMappingURL=AnonymousMedTechApi.js.map