import { CodeDto, CodeLikeApi, CodeLikeApiImpl, Coding, CommonApi, CommonFilter, PaginatedList } from '@icure/typescript-common';
export interface CodingApi extends CodeLikeApi<Coding> {
    createOrModifyCoding(coding: Coding): Promise<Coding>;
    createOrModifyCodings(codings: Array<Coding>): Promise<Array<Coding>>;
    filterCoding(filter: CommonFilter<CodeDto>, nextCodingId?: string, limit?: number): Promise<PaginatedList<Coding>>;
    getCoding(codingId: string): Promise<Coding>;
    matchCoding(filter: CommonFilter<CodeDto>): Promise<Array<string>>;
}
export declare class CodingApiImpl extends CodeLikeApiImpl<Coding> implements CodingApi {
    createOrModifyCoding(coding: Coding): Promise<Coding>;
    createOrModifyCodings(codings: Array<Coding>): Promise<Array<Coding>>;
    filterCoding(filter: CommonFilter<CodeDto>, nextCodingId?: string, limit?: number): Promise<PaginatedList<Coding>>;
    getCoding(codingId: string): Promise<Coding>;
    matchCoding(filter: CommonFilter<CodeDto>): Promise<Array<string>>;
}
export declare const codingApi: (api: CommonApi) => CodingApi;
