"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.codingApi = exports.CodingApiImpl = void 0;
const typescript_common_1 = require("@icure/typescript-common");
class CodingApiImpl extends typescript_common_1.CodeLikeApiImpl {
    createOrModifyCoding(coding) {
        return this.createOrModify(coding);
    }
    createOrModifyCodings(codings) {
        return this.createOrModifyMany(codings);
    }
    filterCoding(filter, nextCodingId, limit) {
        return this.filterBy(filter, nextCodingId, limit);
    }
    getCoding(codingId) {
        return this.get(codingId);
    }
    matchCoding(filter) {
        return this.matchBy(filter);
    }
}
exports.CodingApiImpl = CodingApiImpl;
const codingApi = (api) => {
    return new CodingApiImpl({
        toDomain(dto) {
            return (0, typescript_common_1.mapCodeToCoding)(dto);
        },
        toDto(domain) {
            return (0, typescript_common_1.mapCodingToCode)(domain);
        },
    }, api.errorHandler, api.baseApi.codeApi);
};
exports.codingApi = codingApi;
//# sourceMappingURL=CodingApi.js.map