"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dataOwnerApi = exports.DataOwnerApi = void 0;
const typescript_common_1 = require("@icure/typescript-common");
const DataOwner_mapper_1 = require("../mappers/DataOwner.mapper");
class DataOwnerApi extends typescript_common_1.DataOwnerLikeApiImpl {
}
exports.DataOwnerApi = DataOwnerApi;
const dataOwnerApi = (api) => {
    return new DataOwnerApi({
        toDomain(dto) {
            return DataOwner_mapper_1.default.toDomain(dto);
        },
        toDto(domain) {
            return DataOwner_mapper_1.default.toDto(domain);
        },
    }, {
        toDomain(dto) {
            return (0, typescript_common_1.mapUserDtoToUser)(dto);
        },
        toDto(domain) {
            return (0, typescript_common_1.mapUserToUserDto)(domain);
        },
    }, api.errorHandler, api.baseApi.dataOwnerApi, api.baseApi.patientApi, api.baseApi.icureMaintenanceTaskApi);
};
exports.dataOwnerApi = dataOwnerApi;
//# sourceMappingURL=DataOwnerApi.js.map