import { CommonApi, CommonFilter, Connection, Document, PaginatedList, ServiceLikeApi, SubscriptionOptions } from '@icure/typescript-common';
import { DataSample } from '../models/DataSample.model';
import { Patient } from '../models/Patient.model';
export interface DataSampleApi extends ServiceLikeApi<DataSample, Patient, Document> {
    createOrModifyDataSampleFor(patientId: string, dataSample: DataSample): Promise<DataSample>;
    createOrModifyDataSamplesFor(patientId: string, dataSamples: Array<DataSample>): Promise<Array<DataSample>>;
    deleteDataSample(dataSampleId: string): Promise<string>;
    deleteDataSamples(requestBody: Array<string>): Promise<Array<string>>;
    filterDataSample(filter: CommonFilter<DataSample>, nextDataSampleId?: string, limit?: number): Promise<PaginatedList<DataSample>>;
    getDataSample(dataSampleId: string): Promise<DataSample>;
    matchDataSample(filter: CommonFilter<DataSample>): Promise<Array<string>>;
    getDataSamplesForPatient(patient: Patient): Promise<Array<DataSample>>;
    subscribeToDataSampleEvents(eventTypes: ('CREATE' | 'UPDATE')[], filter: CommonFilter<DataSample>, eventFired: (dataSample: DataSample) => Promise<void>, options?: SubscriptionOptions): Promise<Connection>;
    setDataSampleAttachment(dataSampleId: string, body: ArrayBuffer, documentName?: string, documentVersion?: string, documentExternalUuid?: string, documentLanguage?: string): Promise<Document>;
    getDataSampleAttachmentContent(dataSampleId: string, documentId: string): Promise<ArrayBuffer>;
    getDataSampleAttachmentDocument(dataSampleId: string, documentId: string): Promise<Document>;
}
export declare const dataSampleApi: (api: CommonApi, basePath: string) => DataSampleApi;
