"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dataSampleApi = void 0;
const typescript_common_1 = require("@icure/typescript-common");
const DataSample_mapper_1 = require("../mappers/DataSample.mapper");
const Patient_mapper_1 = require("../mappers/Patient.mapper");
class DataSampleApiImpl extends typescript_common_1.ServiceLikeApiImpl {
    createOrModifyDataSampleFor(patientId, dataSample) {
        return this.createOrModifyFor(patientId, dataSample);
    }
    createOrModifyDataSamplesFor(patientId, dataSamples) {
        return this.createOrModifyManyFor(patientId, dataSamples);
    }
    deleteDataSample(dataSampleId) {
        return this.delete(dataSampleId);
    }
    deleteDataSamples(requestBody) {
        return this.deleteMany(requestBody);
    }
    filterDataSample(filter, nextDataSampleId, limit) {
        return this.filterBy(filter, nextDataSampleId, limit);
    }
    getDataSample(dataSampleId) {
        return this.get(dataSampleId);
    }
    matchDataSample(filter) {
        return this.matchBy(filter);
    }
    getDataSamplesForPatient(patient) {
        return this.getForPatient(patient);
    }
    subscribeToDataSampleEvents(eventTypes, filter, eventFired, options) {
        return this.subscribeToEvents(eventTypes, filter, eventFired, options);
    }
    setDataSampleAttachment(dataSampleId, body, documentName, documentVersion, documentExternalUuid, documentLanguage) {
        return this.setAttachment(dataSampleId, body, documentName, documentVersion, documentExternalUuid, documentLanguage);
    }
    getDataSampleAttachmentContent(dataSampleId, documentId) {
        return this.getAttachmentContent(dataSampleId, documentId);
    }
    getDataSampleAttachmentDocument(dataSampleId, documentId) {
        return this.getAttachmentDocument(dataSampleId, documentId);
    }
}
const dataSampleApi = (api, basePath) => {
    return new DataSampleApiImpl({
        toDomain(dto) {
            return (0, DataSample_mapper_1.mapServiceDtoToDataSample)(dto);
        },
        toDto(domain) {
            return (0, DataSample_mapper_1.mapDataSampleToServiceDto)(domain);
        },
    }, {
        toDomain(dto) {
            return (0, Patient_mapper_1.mapPatientDtoToPatient)(dto);
        },
        toDto(domain) {
            return (0, Patient_mapper_1.mapPatientToPatientDto)(domain);
        },
    }, {
        toDomain(dto) {
            return (0, typescript_common_1.mapDocumentDtoToDocument)(dto);
        },
        toDto(domain) {
            return (0, typescript_common_1.mapDocumentToDocumentDto)(domain);
        },
    }, api.errorHandler, api.baseApi.userApi, api.baseApi.contactApi, api.baseApi.patientApi, api.baseApi.healthcareElementApi, api.baseApi.cryptoApi, api.baseApi.dataOwnerApi, api.baseApi.authApi, api, basePath);
};
exports.dataSampleApi = dataSampleApi;
//# sourceMappingURL=DataSampleApi.js.map