import { CommonApi, CommonFilter, Connection, HealthElementDto, HealthElementLikeApi, PaginatedList, SubscriptionOptions } from '@icure/typescript-common';
import { Patient } from '../models/Patient.model';
import { HealthcareElement } from '../models/HealthcareElement.model';
export interface HealthcareElementApi extends HealthElementLikeApi<HealthcareElement, Patient> {
    createOrModifyHealthcareElement(healthcareElement: HealthcareElement, patientId?: string): Promise<HealthcareElement>;
    createOrModifyHealthcareElements(healthcareElements: Array<HealthcareElement>, patientId?: string): Promise<Array<HealthcareElement>>;
    deleteHealthcareElement(id: string): Promise<string>;
    filterHealthcareElement(filter: CommonFilter<HealthElementDto>, nextHealthElementId?: string, limit?: number): Promise<PaginatedList<HealthcareElement>>;
    getHealthcareElement(id: string): Promise<HealthcareElement>;
    matchHealthcareElement(filter: CommonFilter<HealthElementDto>): Promise<Array<string>>;
    getHealthcareElementsForPatient(patient: Patient): Promise<Array<HealthcareElement>>;
    subscribeToHealthcareElementEvents(eventTypes: ('CREATE' | 'UPDATE')[], filter: CommonFilter<HealthElementDto>, eventFired: (healthcareElement: HealthcareElement) => Promise<void>, options?: SubscriptionOptions): Promise<Connection>;
}
export declare const healthcareElementApi: (api: CommonApi, basePath: string) => HealthcareElementApi;
