"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.healthcareElementApi = void 0;
const typescript_common_1 = require("@icure/typescript-common");
const HealthcareElement_mapper_1 = require("../mappers/HealthcareElement.mapper");
const Patient_mapper_1 = require("../mappers/Patient.mapper");
class HealthcareElementApiImpl extends typescript_common_1.HealthElementLikeApiImpl {
    createOrModifyHealthcareElement(healthcareElement, patientId) {
        return this.createOrModify(healthcareElement, patientId);
    }
    createOrModifyHealthcareElements(healthcareElements, patientId) {
        return this.createOrModifyMany(healthcareElements, patientId);
    }
    deleteHealthcareElement(id) {
        return this.delete(id);
    }
    filterHealthcareElement(filter, nextHealthElementId, limit) {
        return this.filterBy(filter, nextHealthElementId, limit);
    }
    getHealthcareElement(id) {
        return this.get(id);
    }
    matchHealthcareElement(filter) {
        return this.matchBy(filter);
    }
    getHealthcareElementsForPatient(patient) {
        return this.getAllForPatient(patient);
    }
    subscribeToHealthcareElementEvents(eventTypes, filter, eventFired, options) {
        return this.subscribeToEvents(eventTypes, filter, eventFired, options);
    }
}
const healthcareElementApi = (api, basePath) => {
    return new HealthcareElementApiImpl({
        toDomain(dto) {
            return (0, HealthcareElement_mapper_1.mapHealthElementDtoToHealthcareElement)(dto);
        },
        toDto(domain) {
            return (0, HealthcareElement_mapper_1.mapHealthcareElementToHealthElementDto)(domain);
        },
    }, {
        toDomain(dto) {
            return (0, Patient_mapper_1.mapPatientDtoToPatient)(dto);
        },
        toDto(domain) {
            return (0, Patient_mapper_1.mapPatientToPatientDto)(domain);
        },
    }, api.errorHandler, api.baseApi.healthcareElementApi, api.baseApi.userApi, api.baseApi.patientApi, api.baseApi.dataOwnerApi, api.baseApi.cryptoApi, api.baseApi.authApi, basePath, api);
};
exports.healthcareElementApi = healthcareElementApi;
//# sourceMappingURL=HealthcareElementApi.js.map