import { CommonApi, CommonFilter, HealthcarePartyDto, HealthcarePartyLikeApi, PaginatedList } from '@icure/typescript-common';
import { HealthcareProfessional } from '../models/HealthcareProfessional.model';
export interface HealthcareProfessionalApi extends HealthcarePartyLikeApi<HealthcareProfessional> {
    createOrModifyHealthcareProfessional(healthcareProfessional: HealthcareProfessional): Promise<HealthcareProfessional>;
    deleteHealthcareProfessional(hcpId: string): Promise<string>;
    filterHealthcareProfessionalBy(filter: CommonFilter<HealthcarePartyDto>, nextHcpId?: string, limit?: number): Promise<PaginatedList<HealthcareProfessional>>;
    getHealthcareProfessional(hcpId: string): Promise<HealthcareProfessional>;
    matchHealthcareProfessionalBy(filter: CommonFilter<HealthcarePartyDto>): Promise<Array<string>>;
}
export declare const healthcareProfessionalApi: (api: CommonApi, basePath: string) => HealthcareProfessionalApi;
