"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.healthcareProfessionalApi = void 0;
const typescript_common_1 = require("@icure/typescript-common");
const HealthcareProfessional_mapper_1 = require("../mappers/HealthcareProfessional.mapper");
class HealthcareProfessionalApiImpl extends typescript_common_1.HealthcarePartyLikeApiImpl {
    createOrModifyHealthcareProfessional(healthcareProfessional) {
        return this.createOrModify(healthcareProfessional);
    }
    deleteHealthcareProfessional(hcpId) {
        return this.delete(hcpId);
    }
    filterHealthcareProfessionalBy(filter, nextHcpId, limit) {
        return this.filterBy(filter, nextHcpId, limit);
    }
    getHealthcareProfessional(hcpId) {
        return this.get(hcpId);
    }
    matchHealthcareProfessionalBy(filter) {
        return this.matchBy(filter);
    }
}
const healthcareProfessionalApi = (api, basePath) => {
    return new HealthcareProfessionalApiImpl({
        toDomain(dto) {
            return (0, HealthcareProfessional_mapper_1.mapHealthcarePartyDtoToHealthcareProfessional)(dto);
        },
        toDto(domain) {
            return (0, HealthcareProfessional_mapper_1.mapHealthcareProfessionalToHealthcarePartyDto)(domain);
        },
    }, api.errorHandler, api.baseApi.healthcarePartyApi, api.baseApi.authApi, basePath);
};
exports.healthcareProfessionalApi = healthcareProfessionalApi;
//# sourceMappingURL=HealthcareProfessionalApi.js.map