import { CommonApi, CommonFilter, DeviceDto, DeviceLikeApi, PaginatedList } from '@icure/typescript-common';
import { MedicalDevice } from '../models/MedicalDevice.model';
export interface MedicalDeviceApi extends DeviceLikeApi<MedicalDevice> {
    createOrModifyMedicalDevice(medicalDevice: MedicalDevice): Promise<MedicalDevice>;
    createOrModifyMedicalDevices(medicalDevices: Array<MedicalDevice>): Promise<Array<MedicalDevice>>;
    deleteMedicalDevice(medicalDeviceId: string): Promise<string>;
    deleteMedicalDevices(ids: Array<string>): Promise<Array<string>>;
    filterMedicalDevices(filter: CommonFilter<DeviceDto>, nextDeviceId?: string, limit?: number): Promise<PaginatedList<MedicalDevice>>;
    getMedicalDevice(medicalDeviceId: string): Promise<MedicalDevice>;
    matchMedicalDevices(filter: CommonFilter<DeviceDto>): Promise<Array<string>>;
}
export declare const medicalDeviceApi: (api: CommonApi, basePath: string) => MedicalDeviceApi;
