"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.medicalDeviceApi = void 0;
const typescript_common_1 = require("@icure/typescript-common");
const MedicalDevice_mapper_1 = require("../mappers/MedicalDevice.mapper");
class MedicalDeviceApiImpl extends typescript_common_1.DeviceLikeApiImpl {
    createOrModifyMedicalDevice(medicalDevice) {
        return this.createOrModify(medicalDevice);
    }
    createOrModifyMedicalDevices(medicalDevices) {
        return this.createOrModifyMany(medicalDevices);
    }
    deleteMedicalDevice(medicalDeviceId) {
        return this.delete(medicalDeviceId);
    }
    deleteMedicalDevices(ids) {
        return this.deleteMany(ids);
    }
    filterMedicalDevices(filter, nextDeviceId, limit) {
        return this.filterBy(filter, nextDeviceId, limit);
    }
    getMedicalDevice(medicalDeviceId) {
        return this.get(medicalDeviceId);
    }
    matchMedicalDevices(filter) {
        return this.matchBy(filter);
    }
}
const medicalDeviceApi = (api, basePath) => {
    return new MedicalDeviceApiImpl({
        toDomain(dto) {
            return (0, MedicalDevice_mapper_1.mapDeviceDtoToMedicalDevice)(dto);
        },
        toDto(domain) {
            return (0, MedicalDevice_mapper_1.mapMedicalDeviceToDeviceDto)(domain);
        },
    }, api.errorHandler, api.baseApi.deviceApi, api.baseApi.authApi, basePath);
};
exports.medicalDeviceApi = medicalDeviceApi;
//# sourceMappingURL=MedicalDeviceApi.js.map