import { CommonApi, CommonFilter, Connection, MaintenanceTaskDto, MaintenanceTaskLikeApi, Notification, PaginatedList, SubscriptionOptions } from '@icure/typescript-common';
export interface NotificationApi extends MaintenanceTaskLikeApi<Notification> {
    createOrModifyNotification(notification: Notification, delegate?: string): Promise<Notification | undefined>;
    deleteNotification(notificationId: string): Promise<string | undefined>;
    filterNotifications(filter: CommonFilter<MaintenanceTaskDto>, nextNotificationId?: string, limit?: number): Promise<PaginatedList<Notification>>;
    getNotification(notificationId: string): Promise<Notification | undefined>;
    getPendingNotificationsAfter(fromDate?: number): Promise<Array<Notification>>;
    updateNotificationStatus(notification: Notification, newStatus: MaintenanceTaskDto.StatusEnum): Promise<Notification | undefined>;
    subscribeToNotificationEvents(eventTypes: ('CREATE' | 'UPDATE')[], filter: CommonFilter<MaintenanceTaskDto>, eventFired: (dataSample: Notification) => Promise<void>, options?: SubscriptionOptions): Promise<Connection>;
}
export declare const notificationApi: (api: CommonApi, basePath: string) => NotificationApi;
