"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.notificationApi = void 0;
const typescript_common_1 = require("@icure/typescript-common");
class NotificationApiImpl extends typescript_common_1.MaintenanceTaskLikeApiImpl {
    createOrModifyNotification(notification, delegate) {
        return this.createOrModify(notification, delegate);
    }
    deleteNotification(notificationId) {
        return this.delete(notificationId);
    }
    filterNotifications(filter, nextNotificationId, limit) {
        return this.filterBy(filter, nextNotificationId, limit);
    }
    getNotification(notificationId) {
        return this.get(notificationId);
    }
    getPendingNotificationsAfter(fromDate) {
        return this.getPendingAfter(fromDate);
    }
    updateNotificationStatus(notification, newStatus) {
        return this.updateStatus(notification, newStatus);
    }
    subscribeToNotificationEvents(eventTypes, filter, eventFired, options) {
        return this.subscribeToEvents(eventTypes, filter, eventFired, options);
    }
}
const notificationApi = (api, basePath) => {
    return new NotificationApiImpl({
        toDomain(dto) {
            return (0, typescript_common_1.mapMaintenanceTaskToNotification)(dto);
        },
        toDto(domain) {
            return (0, typescript_common_1.mapNotificationToMaintenanceTask)(domain);
        },
    }, api.errorHandler, api.baseApi.maintenanceTaskApi, api.baseApi.userApi, api.baseApi.dataOwnerApi, api.baseApi.authApi, api, basePath);
};
exports.notificationApi = notificationApi;
//# sourceMappingURL=NotificationApi.js.map