import { CommonApi, CommonFilter, PaginatedList, PatientLikeApi, Connection, PatientDto, SubscriptionOptions } from '@icure/typescript-common';
import { Patient } from '../models/Patient.model';
export interface PatientApi extends PatientLikeApi<Patient> {
    createOrModifyPatient(patient: Patient): Promise<Patient>;
    deletePatient(patientId: string): Promise<string>;
    filterPatients(filter: CommonFilter<PatientDto>, nextPatientId?: string, limit?: number): Promise<PaginatedList<Patient>>;
    getPatient(patientId: string): Promise<Patient>;
    matchPatients(filter: CommonFilter<PatientDto>): Promise<Array<string>>;
    giveAccessToPotentiallyEncrypted(patient: Patient, delegatedTo: string): Promise<Patient>;
    subscribeToPatientEvents(eventTypes: ('CREATE' | 'UPDATE')[], filter: CommonFilter<PatientDto>, eventFired: (patient: Patient) => Promise<void>, options?: SubscriptionOptions): Promise<Connection>;
    getPatientAndTryDecrypt(patientId: string): Promise<{
        patient: Patient;
        decrypted: boolean;
    }>;
}
export declare const patientApi: (api: CommonApi, basePath: string) => PatientApi;
