"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.patientApi = void 0;
const typescript_common_1 = require("@icure/typescript-common");
const Patient_mapper_1 = require("../mappers/Patient.mapper");
class PatientApiImpl extends typescript_common_1.PatientLikeApiImpl {
    createOrModifyPatient(patient) {
        return this.createOrModify(patient);
    }
    deletePatient(patientId) {
        return this.delete(patientId);
    }
    filterPatients(filter, nextPatientId, limit) {
        return this.filterBy(filter, nextPatientId, limit);
    }
    getPatient(patientId) {
        return this.get(patientId);
    }
    matchPatients(filter) {
        return this.matchBy(filter);
    }
    giveAccessToPotentiallyEncrypted(patient, delegatedTo) {
        return this.giveAccessTo(patient, delegatedTo);
    }
    subscribeToPatientEvents(eventTypes, filter, eventFired, options) {
        return this.subscribeToEvents(eventTypes, filter, eventFired, options);
    }
    getPatientAndTryDecrypt(patientId) {
        return this.getAndTryDecrypt(patientId);
    }
}
const patientApi = (api, basePath) => {
    return new PatientApiImpl({
        toDomain(dto) {
            return (0, Patient_mapper_1.mapPatientDtoToPatient)(dto);
        },
        toDto(domain) {
            return (0, Patient_mapper_1.mapPatientToPatientDto)(domain);
        },
    }, api.errorHandler, api.baseApi.patientApi, api.baseApi.userApi, api.baseApi.dataOwnerApi, api.baseApi.authApi, basePath);
};
exports.patientApi = patientApi;
//# sourceMappingURL=PatientApi.js.map