"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapAddressToAddressDto = exports.mapAddressDtoToAddress = void 0;
const Address_model_1 = require("../models/Address.model");
const typescript_common_1 = require("@icure/typescript-common");
const Telecom_mapper_1 = require("./Telecom.mapper");
function toAddressDtoAddressType(domain) {
    return domain.addressType;
}
function toAddressDtoDescr(domain) {
    return domain.description;
}
function toAddressDtoStreet(domain) {
    return domain.street;
}
function toAddressDtoHouseNumber(domain) {
    return domain.houseNumber;
}
function toAddressDtoPostboxNumber(domain) {
    return domain.postboxNumber;
}
function toAddressDtoPostalCode(domain) {
    return domain.postalCode;
}
function toAddressDtoCity(domain) {
    return domain.city;
}
function toAddressDtoState(domain) {
    return domain.state;
}
function toAddressDtoCountry(domain) {
    return domain.country;
}
function toAddressDtoNote(domain) {
    return domain.note;
}
function toAddressDtoNotes(domain) {
    var _a, _b;
    return (_b = (_a = domain.notes) === null || _a === void 0 ? void 0 : _a.map(typescript_common_1.mapAnnotationToAnnotationDto)) !== null && _b !== void 0 ? _b : undefined;
}
function toAddressDtoTelecoms(domain) {
    return domain.telecoms;
}
function toAddressDtoEncryptedSelf(domain) {
    return domain.encryptedSelf;
}
function toAddressAddressType(dto) {
    return dto.addressType;
}
function toAddressDescription(dto) {
    return dto.descr;
}
function toAddressStreet(dto) {
    return dto.street;
}
function toAddressHouseNumber(dto) {
    return dto.houseNumber;
}
function toAddressPostboxNumber(dto) {
    return dto.postboxNumber;
}
function toAddressPostalCode(dto) {
    return dto.postalCode;
}
function toAddressCity(dto) {
    return dto.city;
}
function toAddressState(dto) {
    return dto.state;
}
function toAddressCountry(dto) {
    return dto.country;
}
function toAddressNote(dto) {
    return dto.note;
}
function toAddressTelecoms(dto) {
    var _a, _b;
    return (_b = (_a = dto.telecoms) === null || _a === void 0 ? void 0 : _a.map(Telecom_mapper_1.mapTelecomDtoToTelecom)) !== null && _b !== void 0 ? _b : [];
}
function toAddressNotes(dto) {
    var _a, _b;
    return (_b = (_a = dto.notes) === null || _a === void 0 ? void 0 : _a.map(typescript_common_1.mapAnnotationDtoToAnnotation)) !== null && _b !== void 0 ? _b : undefined;
}
function toAddressEncryptedSelf(dto) {
    return dto.encryptedSelf;
}
function mapAddressDtoToAddress(dto) {
    return new Address_model_1.Address({
        addressType: toAddressAddressType(dto),
        description: toAddressDescription(dto),
        street: toAddressStreet(dto),
        houseNumber: toAddressHouseNumber(dto),
        postboxNumber: toAddressPostboxNumber(dto),
        postalCode: toAddressPostalCode(dto),
        city: toAddressCity(dto),
        state: toAddressState(dto),
        country: toAddressCountry(dto),
        note: toAddressNote(dto),
        telecoms: toAddressTelecoms(dto),
        notes: toAddressNotes(dto),
        encryptedSelf: toAddressEncryptedSelf(dto),
    });
}
exports.mapAddressDtoToAddress = mapAddressDtoToAddress;
function mapAddressToAddressDto(domain) {
    return new typescript_common_1.AddressDto({
        addressType: toAddressDtoAddressType(domain),
        descr: toAddressDtoDescr(domain),
        street: toAddressDtoStreet(domain),
        houseNumber: toAddressDtoHouseNumber(domain),
        postboxNumber: toAddressDtoPostboxNumber(domain),
        postalCode: toAddressDtoPostalCode(domain),
        city: toAddressDtoCity(domain),
        state: toAddressDtoState(domain),
        country: toAddressDtoCountry(domain),
        note: toAddressDtoNote(domain),
        notes: toAddressDtoNotes(domain),
        telecoms: toAddressDtoTelecoms(domain),
        encryptedSelf: toAddressDtoEncryptedSelf(domain),
    });
}
exports.mapAddressToAddressDto = mapAddressToAddressDto;
//# sourceMappingURL=Address.mapper.js.map