"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapDataSampleToServiceDto = exports.mapServiceDtoToDataSample = void 0;
const DataSample_model_1 = require("../models/DataSample.model");
const typescript_common_1 = require("@icure/typescript-common");
const Content_mapper_1 = require("./Content.mapper");
function toServiceDtoId(domain) {
    return (0, typescript_common_1.forceUuid)(domain.id);
}
function toServiceDtoTransactionId(domain) {
    return domain.transactionId;
}
function toServiceDtoIdentifier(domain) {
    var _a;
    return (_a = domain.identifiers) === null || _a === void 0 ? void 0 : _a.map(typescript_common_1.mapIdentifierToIdentifierDto);
}
function toServiceDtoContactId(domain) {
    return domain.batchId;
}
function toServiceDtoSubContactIds(domain) {
    return undefined;
}
function toServiceDtoPlansOfActionIds(domain) {
    return undefined;
}
function toServiceDtoHealthElementsIds(domain) {
    var _a;
    return [...((_a = domain.healthcareElementIds) !== null && _a !== void 0 ? _a : [])];
}
function toServiceDtoFormIds(domain) {
    var _a;
    return [...((_a = domain.canvasesIds) !== null && _a !== void 0 ? _a : [])];
}
function toServiceDtoSecretForeignKeys(domain) {
    return !!domain.systemMetaData ? (0, typescript_common_1.toSecretForeignKeys)(domain.systemMetaData) : undefined;
}
function toServiceDtoCryptedForeignKeys(domain) {
    return !!domain.systemMetaData ? (0, typescript_common_1.toCryptedForeignKeys)(domain.systemMetaData) : undefined;
}
function toServiceDtoDelegations(domain) {
    return !!domain.systemMetaData ? (0, typescript_common_1.toDelegations)(domain.systemMetaData) : undefined;
}
function toServiceDtoEncryptionKeys(domain) {
    return !!domain.systemMetaData ? (0, typescript_common_1.toEncryptionKeys)(domain.systemMetaData) : undefined;
}
function toServiceDtoLabel(domain) {
    return undefined;
}
function toServiceDtoDataClassName(domain) {
    return undefined;
}
function toServiceDtoIndex(domain) {
    return domain.index;
}
function toServiceDtoContent(domain) {
    var _a;
    const mappedEntries = (_a = [...Object.entries(domain.content)]) === null || _a === void 0 ? void 0 : _a.map(([lang, content]) => [lang, (0, Content_mapper_1.mapContentToContentDto)(content)]);
    return !!mappedEntries ? Object.fromEntries(mappedEntries) : undefined;
}
function toServiceDtoEncryptedContent(domain) {
    return undefined;
}
function toServiceDtoTextIndexes(domain) {
    return undefined;
}
function toServiceDtoValueDate(domain) {
    return domain.valueDate;
}
function toServiceDtoOpeningDate(domain) {
    return domain.openingDate;
}
function toServiceDtoClosingDate(domain) {
    return domain.closingDate;
}
function toServiceDtoFormId(domain) {
    return undefined;
}
function toServiceDtoCreated(domain) {
    return domain.created;
}
function toServiceDtoModified(domain) {
    return domain.modified;
}
function toServiceDtoEndOfLife(domain) {
    return domain.endOfLife;
}
function toServiceDtoAuthor(domain) {
    return domain.author;
}
function toServiceDtoResponsible(domain) {
    return domain.responsible;
}
function toServiceDtoMedicalLocationId(domain) {
    return undefined;
}
function toServiceDtoComment(domain) {
    return domain.comment;
}
function toServiceDtoStatus(domain) {
    return undefined;
}
function toServiceDtoInvoicingCodes(domain) {
    return undefined;
}
function toServiceDtoNotes(domain) {
    return undefined;
}
function toServiceDtoQualifiedLinks(domain) {
    return domain.qualifiedLinks ? Object.fromEntries([...Object.entries(domain.qualifiedLinks)].map(([key, value]) => [key, Object.fromEntries([...Object.entries(value)])])) : undefined;
}
function toServiceDtoCodes(domain) {
    return domain.codes ? [...domain.codes].map(typescript_common_1.mapCodingReferenceToCodeStub) : undefined;
}
function toServiceDtoTags(domain) {
    return domain.labels ? [...domain.labels].map(typescript_common_1.mapCodingReferenceToCodeStub) : undefined;
}
function toServiceDtoEncryptedSelf(domain) {
    return !!domain.systemMetaData ? (0, typescript_common_1.toEncryptedSelf)(domain.systemMetaData) : undefined;
}
function toDataSampleId(dto) {
    return (0, typescript_common_1.forceUuid)(dto.id);
}
function toDataSampleTransactionId(dto) {
    return dto.transactionId;
}
function toDataSampleIdentifiers(dto) {
    var _a, _b;
    return (_b = (_a = dto.identifier) === null || _a === void 0 ? void 0 : _a.map(typescript_common_1.mapIdentifierDtoToIdentifier)) !== null && _b !== void 0 ? _b : [];
}
function toDataSampleBatchId(dto) {
    return dto.contactId;
}
function toDataSampleHealthcareElementIds(dto) {
    return dto.healthElementsIds ? dto.healthElementsIds : undefined;
}
function toDataSampleCanvasesIds(dto) {
    return dto.formIds ? dto.formIds : undefined;
}
function toDataSampleIndex(dto) {
    return dto.index;
}
function toDataSampleContent(dto) {
    return dto.content ? Object.fromEntries([...Object.entries(dto.content)].map(([key, value]) => [key, (0, Content_mapper_1.mapContentDtoToContent)(value)])) : {};
}
function toDataSampleValueDate(dto) {
    return dto.valueDate;
}
function toDataSampleOpeningDate(dto) {
    return dto.openingDate;
}
function toDataSampleClosingDate(dto) {
    return dto.closingDate;
}
function toDataSampleCreated(dto) {
    return dto.created;
}
function toDataSampleModified(dto) {
    return dto.modified;
}
function toDataSampleEndOfLife(dto) {
    return dto.endOfLife;
}
function toDataSampleAuthor(dto) {
    return dto.author;
}
function toDataSampleResponsible(dto) {
    return dto.responsible;
}
function toDataSampleComment(dto) {
    return dto.comment;
}
function toDataSampleQualifiedLinks(dto) {
    return dto.qualifiedLinks ? Object.fromEntries([...Object.entries(dto.qualifiedLinks)].map(([key, value]) => [key, Object.fromEntries([...Object.entries(value)])])) : {};
}
function toDataSampleCodes(dto) {
    return dto.codes ? dto.codes.map(typescript_common_1.mapCodeStubToCodingReference) : [];
}
function toDataSampleLabels(dto) {
    return dto.tags ? dto.tags.map(typescript_common_1.mapCodeStubToCodingReference) : [];
}
function toDataSampleSystemMetaData(dto) {
    return (0, typescript_common_1.toSystemMetaDataEncrypted)(dto);
}
function toServiceDtoSecurityMetadata(domain) {
    return (0, typescript_common_1.toSecurityMetadataDto)(domain.systemMetaData);
}
function mapServiceDtoToDataSample(dto) {
    return new DataSample_model_1.DataSample({
        id: toDataSampleId(dto),
        transactionId: toDataSampleTransactionId(dto),
        identifiers: toDataSampleIdentifiers(dto),
        batchId: toDataSampleBatchId(dto),
        healthcareElementIds: toDataSampleHealthcareElementIds(dto),
        canvasesIds: toDataSampleCanvasesIds(dto),
        index: toDataSampleIndex(dto),
        content: toDataSampleContent(dto),
        valueDate: toDataSampleValueDate(dto),
        openingDate: toDataSampleOpeningDate(dto),
        closingDate: toDataSampleClosingDate(dto),
        created: toDataSampleCreated(dto),
        modified: toDataSampleModified(dto),
        endOfLife: toDataSampleEndOfLife(dto),
        author: toDataSampleAuthor(dto),
        responsible: toDataSampleResponsible(dto),
        comment: toDataSampleComment(dto),
        qualifiedLinks: toDataSampleQualifiedLinks(dto),
        codes: toDataSampleCodes(dto),
        labels: toDataSampleLabels(dto),
        systemMetaData: toDataSampleSystemMetaData(dto),
    });
}
exports.mapServiceDtoToDataSample = mapServiceDtoToDataSample;
function mapDataSampleToServiceDto(domain) {
    return new typescript_common_1.ServiceDto({
        id: toServiceDtoId(domain),
        transactionId: toServiceDtoTransactionId(domain),
        identifier: toServiceDtoIdentifier(domain),
        contactId: toServiceDtoContactId(domain),
        subContactIds: toServiceDtoSubContactIds(domain),
        plansOfActionIds: toServiceDtoPlansOfActionIds(domain),
        healthElementsIds: toServiceDtoHealthElementsIds(domain),
        formIds: toServiceDtoFormIds(domain),
        secretForeignKeys: toServiceDtoSecretForeignKeys(domain),
        cryptedForeignKeys: toServiceDtoCryptedForeignKeys(domain),
        delegations: toServiceDtoDelegations(domain),
        encryptionKeys: toServiceDtoEncryptionKeys(domain),
        label: toServiceDtoLabel(domain),
        dataClassName: toServiceDtoDataClassName(domain),
        index: toServiceDtoIndex(domain),
        content: toServiceDtoContent(domain),
        encryptedContent: toServiceDtoEncryptedContent(domain),
        textIndexes: toServiceDtoTextIndexes(domain),
        valueDate: toServiceDtoValueDate(domain),
        openingDate: toServiceDtoOpeningDate(domain),
        closingDate: toServiceDtoClosingDate(domain),
        formId: toServiceDtoFormId(domain),
        created: toServiceDtoCreated(domain),
        modified: toServiceDtoModified(domain),
        endOfLife: toServiceDtoEndOfLife(domain),
        author: toServiceDtoAuthor(domain),
        responsible: toServiceDtoResponsible(domain),
        medicalLocationId: toServiceDtoMedicalLocationId(domain),
        comment: toServiceDtoComment(domain),
        status: toServiceDtoStatus(domain),
        invoicingCodes: toServiceDtoInvoicingCodes(domain),
        notes: toServiceDtoNotes(domain),
        qualifiedLinks: toServiceDtoQualifiedLinks(domain),
        codes: toServiceDtoCodes(domain),
        tags: toServiceDtoTags(domain),
        encryptedSelf: toServiceDtoEncryptedSelf(domain),
        securityMetadata: toServiceDtoSecurityMetadata(domain),
    });
}
exports.mapDataSampleToServiceDto = mapDataSampleToServiceDto;
//# sourceMappingURL=DataSample.mapper.js.map