"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapHealthcareProfessionalToHealthcarePartyDto = exports.mapHealthcarePartyDtoToHealthcareProfessional = void 0;
const HealthcareProfessional_model_1 = require("../models/HealthcareProfessional.model");
const typescript_common_1 = require("@icure/typescript-common");
const PersonName_mapper_1 = require("./PersonName.mapper");
const Address_mapper_1 = require("./Address.mapper");
const api_1 = require("@icure/api");
function toHealthcarePartyDtoId(domain) {
    return (0, typescript_common_1.forceUuid)(domain.id);
}
function toHealthcarePartyDtoRev(domain) {
    return domain.rev;
}
function toHealthcarePartyDtoCreated(domain) {
    return domain.created;
}
function toHealthcarePartyDtoModified(domain) {
    return domain.modified;
}
function toHealthcarePartyDtoDeletionDate(domain) {
    return domain.deletionDate;
}
function toHealthcarePartyDtoIdentifier(domain) {
    return undefined;
}
function toHealthcarePartyDtoTags(domain) {
    return !!domain.labels ? [...domain.labels].map(typescript_common_1.mapCodingReferenceToCodeStub) : undefined;
}
function toHealthcarePartyDtoCodes(domain) {
    return !!domain.codes ? [...domain.codes].map(typescript_common_1.mapCodingReferenceToCodeStub) : undefined;
}
function toHealthcarePartyDtoName(domain) {
    return domain.name;
}
function toHealthcarePartyDtoLastName(domain) {
    return domain.lastName;
}
function toHealthcarePartyDtoFirstName(domain) {
    return domain.firstName;
}
function toHealthcarePartyDtoNames(domain) {
    return !!domain.names ? [...domain.names].map(PersonName_mapper_1.mapPersonNameToPersonNameDto) : undefined;
}
function toHealthcarePartyDtoGender(domain) {
    return domain.gender;
}
function toHealthcarePartyDtoCivility(domain) {
    return domain.civility;
}
function toHealthcarePartyDtoCompanyName(domain) {
    return undefined;
}
function toHealthcarePartyDtoSpeciality(domain) {
    return domain.speciality;
}
function toHealthcarePartyDtoBankAccount(domain) {
    return undefined;
}
function toHealthcarePartyDtoBic(domain) {
    return undefined;
}
function toHealthcarePartyDtoProxyBankAccount(domain) {
    return undefined;
}
function toHealthcarePartyDtoProxyBic(domain) {
    return undefined;
}
function toHealthcarePartyDtoInvoiceHeader(domain) {
    return undefined;
}
function toHealthcarePartyDtoCbe(domain) {
    return undefined;
}
function toHealthcarePartyDtoEhp(domain) {
    return undefined;
}
function toHealthcarePartyDtoUserId(domain) {
    return undefined;
}
function toHealthcarePartyDtoParentId(domain) {
    return domain.parentId;
}
function toHealthcarePartyDtoConvention(domain) {
    return undefined;
}
function toHealthcarePartyDtoNihii(domain) {
    return undefined;
}
function toHealthcarePartyDtoNihiiSpecCode(domain) {
    return undefined;
}
function toHealthcarePartyDtoSsin(domain) {
    return undefined;
}
function toHealthcarePartyDtoAddresses(domain) {
    return !!domain.addresses ? [...domain.addresses].map(Address_mapper_1.mapAddressToAddressDto) : undefined;
}
function toHealthcarePartyDtoLanguages(domain) {
    return domain.languages;
}
function toHealthcarePartyDtoPicture(domain) {
    return domain.picture ? (0, api_1.b64_2ab)(domain.picture) : undefined;
}
function toHealthcarePartyDtoStatuses(domain) {
    return undefined;
}
function toHealthcarePartyDtoStatusHistory(domain) {
    return undefined;
}
function toHealthcarePartyDtoSpecialityCodes(domain) {
    return undefined;
}
function toHealthcarePartyDtoSendFormats(domain) {
    return undefined;
}
function toHealthcarePartyDtoNotes(domain) {
    return domain.notes;
}
function toHealthcarePartyDtoFinancialInstitutionInformation(domain) {
    return undefined;
}
function toHealthcarePartyDtoDescr(domain) {
    return undefined;
}
function toHealthcarePartyDtoBillingType(domain) {
    return undefined;
}
function toHealthcarePartyDtoType(domain) {
    return undefined;
}
function toHealthcarePartyDtoContactPerson(domain) {
    return undefined;
}
function toHealthcarePartyDtoContactPersonHcpId(domain) {
    return undefined;
}
function toHealthcarePartyDtoSupervisorId(domain) {
    return undefined;
}
function toHealthcarePartyDtoFlatRateTarifications(domain) {
    return undefined;
}
function toHealthcarePartyDtoImportedData(domain) {
    return undefined;
}
function toHealthcarePartyDtoOptions(domain) {
    return undefined;
}
function toHealthcarePartyDtoProperties(domain) {
    return domain.properties ? [...domain.properties].map(typescript_common_1.mapPropertyToPropertyStub) : undefined;
}
function toHealthcarePartyDtoHcPartyKeys(domain) {
    return !!domain.systemMetaData ? (0, typescript_common_1.toHcPartyKeys)(domain.systemMetaData) : undefined;
}
function toHealthcarePartyDtoAesExchangeKeys(domain) {
    return !!domain.systemMetaData ? (0, typescript_common_1.toAesExchangeKeys)(domain.systemMetaData) : undefined;
}
function toHealthcarePartyDtoTransferKeys(domain) {
    return !!domain.systemMetaData ? (0, typescript_common_1.toTransferKeys)(domain.systemMetaData) : undefined;
}
function toHealthcarePartyDtoPrivateKeyShamirPartitions(domain) {
    return !!domain.systemMetaData ? (0, typescript_common_1.toPrivateKeyShamirPartitions)(domain.systemMetaData) : undefined;
}
function toHealthcarePartyDtoPublicKey(domain) {
    return !!domain.systemMetaData ? (0, typescript_common_1.toPublicKey)(domain.systemMetaData) : undefined;
}
function toHealthcarePartyDtoPublicKeysForOaepWithSha256(domain) {
    return !!domain.systemMetaData ? (0, typescript_common_1.toPublicKeysForOaepWithSha256)(domain.systemMetaData) : undefined;
}
function toHealthcareProfessionalId(dto) {
    return dto.id;
}
function toHealthcareProfessionalRev(dto) {
    return dto.rev;
}
function toHealthcareProfessionalCreated(dto) {
    return dto.created;
}
function toHealthcareProfessionalModified(dto) {
    return dto.modified;
}
function toHealthcareProfessionalLabels(dto) {
    return dto.tags ? dto.tags.map(typescript_common_1.mapCodeStubToCodingReference) : [];
}
function toHealthcareProfessionalCodes(dto) {
    return dto.codes ? dto.codes.map(typescript_common_1.mapCodeStubToCodingReference) : [];
}
function toHealthcareProfessionalDeletionDate(dto) {
    return dto.deletionDate;
}
function toHealthcareProfessionalName(dto) {
    return dto.name;
}
function toHealthcareProfessionalLastName(dto) {
    return dto.lastName;
}
function toHealthcareProfessionalFirstName(dto) {
    return dto.firstName;
}
function toHealthcareProfessionalNames(dto) {
    return dto.names ? [...dto.names].map(PersonName_mapper_1.mapPersonNameDtoToPersonName) : [];
}
function toHealthcareProfessionalGender(dto) {
    return dto.gender;
}
function toHealthcareProfessionalCivility(dto) {
    return dto.civility;
}
function toHealthcareProfessionalSpeciality(dto) {
    return dto.speciality;
}
function toHealthcareProfessionalParentId(dto) {
    return dto.parentId;
}
function toHealthcareProfessionalAddresses(dto) {
    return dto.addresses ? [...dto.addresses].map(Address_mapper_1.mapAddressDtoToAddress) : [];
}
function toHealthcareProfessionalLanguages(dto) {
    var _a;
    return (_a = dto.languages) !== null && _a !== void 0 ? _a : [];
}
function toHealthcareProfessionalPicture(dto) {
    return dto.picture ? (0, api_1.ua2b64)(dto.picture) : undefined;
}
function toHealthcareProfessionalSpecialityCodes(dto) {
    return dto.specialityCodes ? dto.specialityCodes.map(typescript_common_1.mapCodeStubToCodingReference) : undefined;
}
function toHealthcareProfessionalNotes(dto) {
    return dto.notes;
}
function toHealthcareProfessionalProperties(dto) {
    return dto.properties ? [...dto.properties].map(typescript_common_1.mapPropertyStubToProperty) : [];
}
function toHealthcareProfessionalSystemMetaData(dto) {
    return (0, typescript_common_1.toSystemMetaDataOwner)(dto);
}
function mapHealthcarePartyDtoToHealthcareProfessional(dto) {
    return new HealthcareProfessional_model_1.HealthcareProfessional({
        id: toHealthcareProfessionalId(dto),
        rev: toHealthcareProfessionalRev(dto),
        created: toHealthcareProfessionalCreated(dto),
        modified: toHealthcareProfessionalModified(dto),
        labels: toHealthcareProfessionalLabels(dto),
        codes: toHealthcareProfessionalCodes(dto),
        deletionDate: toHealthcareProfessionalDeletionDate(dto),
        name: toHealthcareProfessionalName(dto),
        lastName: toHealthcareProfessionalLastName(dto),
        firstName: toHealthcareProfessionalFirstName(dto),
        names: toHealthcareProfessionalNames(dto),
        gender: toHealthcareProfessionalGender(dto),
        civility: toHealthcareProfessionalCivility(dto),
        speciality: toHealthcareProfessionalSpeciality(dto),
        parentId: toHealthcareProfessionalParentId(dto),
        addresses: toHealthcareProfessionalAddresses(dto),
        languages: toHealthcareProfessionalLanguages(dto),
        picture: toHealthcareProfessionalPicture(dto),
        specialityCodes: toHealthcareProfessionalSpecialityCodes(dto),
        notes: toHealthcareProfessionalNotes(dto),
        properties: toHealthcareProfessionalProperties(dto),
        systemMetaData: toHealthcareProfessionalSystemMetaData(dto),
    });
}
exports.mapHealthcarePartyDtoToHealthcareProfessional = mapHealthcarePartyDtoToHealthcareProfessional;
function mapHealthcareProfessionalToHealthcarePartyDto(domain) {
    return new typescript_common_1.HealthcarePartyDto({
        id: toHealthcarePartyDtoId(domain),
        rev: toHealthcarePartyDtoRev(domain),
        created: toHealthcarePartyDtoCreated(domain),
        modified: toHealthcarePartyDtoModified(domain),
        deletionDate: toHealthcarePartyDtoDeletionDate(domain),
        identifier: toHealthcarePartyDtoIdentifier(domain),
        tags: toHealthcarePartyDtoTags(domain),
        codes: toHealthcarePartyDtoCodes(domain),
        name: toHealthcarePartyDtoName(domain),
        lastName: toHealthcarePartyDtoLastName(domain),
        firstName: toHealthcarePartyDtoFirstName(domain),
        names: toHealthcarePartyDtoNames(domain),
        gender: toHealthcarePartyDtoGender(domain),
        civility: toHealthcarePartyDtoCivility(domain),
        companyName: toHealthcarePartyDtoCompanyName(domain),
        speciality: toHealthcarePartyDtoSpeciality(domain),
        bankAccount: toHealthcarePartyDtoBankAccount(domain),
        bic: toHealthcarePartyDtoBic(domain),
        proxyBankAccount: toHealthcarePartyDtoProxyBankAccount(domain),
        proxyBic: toHealthcarePartyDtoProxyBic(domain),
        invoiceHeader: toHealthcarePartyDtoInvoiceHeader(domain),
        cbe: toHealthcarePartyDtoCbe(domain),
        ehp: toHealthcarePartyDtoEhp(domain),
        userId: toHealthcarePartyDtoUserId(domain),
        parentId: toHealthcarePartyDtoParentId(domain),
        convention: toHealthcarePartyDtoConvention(domain),
        nihii: toHealthcarePartyDtoNihii(domain),
        nihiiSpecCode: toHealthcarePartyDtoNihiiSpecCode(domain),
        ssin: toHealthcarePartyDtoSsin(domain),
        addresses: toHealthcarePartyDtoAddresses(domain),
        languages: toHealthcarePartyDtoLanguages(domain),
        picture: toHealthcarePartyDtoPicture(domain),
        statuses: toHealthcarePartyDtoStatuses(domain),
        statusHistory: toHealthcarePartyDtoStatusHistory(domain),
        specialityCodes: toHealthcarePartyDtoSpecialityCodes(domain),
        sendFormats: toHealthcarePartyDtoSendFormats(domain),
        notes: toHealthcarePartyDtoNotes(domain),
        financialInstitutionInformation: toHealthcarePartyDtoFinancialInstitutionInformation(domain),
        descr: toHealthcarePartyDtoDescr(domain),
        billingType: toHealthcarePartyDtoBillingType(domain),
        type: toHealthcarePartyDtoType(domain),
        contactPerson: toHealthcarePartyDtoContactPerson(domain),
        contactPersonHcpId: toHealthcarePartyDtoContactPersonHcpId(domain),
        supervisorId: toHealthcarePartyDtoSupervisorId(domain),
        flatRateTarifications: toHealthcarePartyDtoFlatRateTarifications(domain),
        importedData: toHealthcarePartyDtoImportedData(domain),
        options: toHealthcarePartyDtoOptions(domain),
        properties: toHealthcarePartyDtoProperties(domain),
        hcPartyKeys: toHealthcarePartyDtoHcPartyKeys(domain),
        aesExchangeKeys: toHealthcarePartyDtoAesExchangeKeys(domain),
        transferKeys: toHealthcarePartyDtoTransferKeys(domain),
        privateKeyShamirPartitions: toHealthcarePartyDtoPrivateKeyShamirPartitions(domain),
        publicKey: toHealthcarePartyDtoPublicKey(domain),
        publicKeysForOaepWithSha256: toHealthcarePartyDtoPublicKeysForOaepWithSha256(domain),
    });
}
exports.mapHealthcareProfessionalToHealthcarePartyDto = mapHealthcareProfessionalToHealthcarePartyDto;
//# sourceMappingURL=HealthcareProfessional.mapper.js.map