"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapPartnershipToPartnershipDto = exports.mapPartnershipDtoToPartnership = void 0;
const Partnership_model_1 = require("../models/Partnership.model");
const typescript_common_1 = require("@icure/typescript-common");
function toPartnershipDtoType(domain) {
    return domain.type;
}
function toPartnershipDtoStatus(domain) {
    return domain.status;
}
function toPartnershipDtoPartnerId(domain) {
    return domain.partnerId;
}
function toPartnershipDtoMeToOtherRelationshipDescription(domain) {
    return undefined;
}
function toPartnershipDtoOtherToMeRelationshipDescription(domain) {
    return undefined;
}
function toPartnershipType(dto) {
    return dto.type;
}
function toPartnershipStatus(dto) {
    return dto.status;
}
function toPartnershipPartnerId(dto) {
    return dto.partnerId;
}
function mapPartnershipDtoToPartnership(dto) {
    return new Partnership_model_1.Partnership({
        type: toPartnershipType(dto),
        status: toPartnershipStatus(dto),
        partnerId: toPartnershipPartnerId(dto),
    });
}
exports.mapPartnershipDtoToPartnership = mapPartnershipDtoToPartnership;
function mapPartnershipToPartnershipDto(domain) {
    return new typescript_common_1.PartnershipDto({
        type: toPartnershipDtoType(domain),
        status: toPartnershipDtoStatus(domain),
        partnerId: toPartnershipDtoPartnerId(domain),
        meToOtherRelationshipDescription: toPartnershipDtoMeToOtherRelationshipDescription(domain),
        otherToMeRelationshipDescription: toPartnershipDtoOtherToMeRelationshipDescription(domain),
    });
}
exports.mapPartnershipToPartnershipDto = mapPartnershipToPartnershipDto;
//# sourceMappingURL=Partnership.mapper.js.map