"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapPersonNameToPersonNameDto = exports.mapPersonNameDtoToPersonName = void 0;
const PersonName_model_1 = require("../models/PersonName.model");
const typescript_common_1 = require("@icure/typescript-common");
function toPersonNameDtoLastName(domain) {
    return domain.lastName;
}
function toPersonNameDtoFirstNames(domain) {
    return domain.firstNames;
}
function toPersonNameDtoStart(domain) {
    return domain.start;
}
function toPersonNameDtoEnd(domain) {
    return domain.end;
}
function toPersonNameDtoPrefix(domain) {
    return domain.prefix;
}
function toPersonNameDtoSuffix(domain) {
    return domain.suffix;
}
function toPersonNameDtoText(domain) {
    return domain.text;
}
function toPersonNameDtoUse(domain) {
    return domain.use;
}
function toPersonNameLastName(dto) {
    return dto.lastName;
}
function toPersonNameFirstNames(dto) {
    return dto.firstNames;
}
function toPersonNameStart(dto) {
    return dto.start;
}
function toPersonNameEnd(dto) {
    return dto.end;
}
function toPersonNamePrefix(dto) {
    return dto.prefix;
}
function toPersonNameSuffix(dto) {
    return dto.suffix;
}
function toPersonNameText(dto) {
    return dto.text;
}
function toPersonNameUse(dto) {
    return dto.use;
}
function mapPersonNameDtoToPersonName(dto) {
    return new PersonName_model_1.PersonName({
        lastName: toPersonNameLastName(dto),
        firstNames: toPersonNameFirstNames(dto),
        start: toPersonNameStart(dto),
        end: toPersonNameEnd(dto),
        prefix: toPersonNamePrefix(dto),
        suffix: toPersonNameSuffix(dto),
        text: toPersonNameText(dto),
        use: toPersonNameUse(dto),
    });
}
exports.mapPersonNameDtoToPersonName = mapPersonNameDtoToPersonName;
function mapPersonNameToPersonNameDto(domain) {
    return new typescript_common_1.PersonNameDto({
        lastName: toPersonNameDtoLastName(domain),
        firstNames: toPersonNameDtoFirstNames(domain),
        start: toPersonNameDtoStart(domain),
        end: toPersonNameDtoEnd(domain),
        prefix: toPersonNameDtoPrefix(domain),
        suffix: toPersonNameDtoSuffix(domain),
        text: toPersonNameDtoText(domain),
        use: toPersonNameDtoUse(domain),
    });
}
exports.mapPersonNameToPersonNameDto = mapPersonNameToPersonNameDto;
//# sourceMappingURL=PersonName.mapper.js.map