"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapTelecomToTelecomDto = exports.mapTelecomDtoToTelecom = void 0;
const Telecom_model_1 = require("../models/Telecom.model");
const typescript_common_1 = require("@icure/typescript-common");
function toTelecomDtoTelecomType(domain) {
    return domain.telecomType;
}
function toTelecomDtoTelecomNumber(domain) {
    return domain.telecomNumber;
}
function toTelecomDtoTelecomDescription(domain) {
    return domain.telecomDescription;
}
function toTelecomDtoEncryptedSelf(domain) {
    return undefined;
}
function toTelecomTelecomType(dto) {
    return dto.telecomType;
}
function toTelecomTelecomNumber(dto) {
    return dto.telecomNumber;
}
function toTelecomTelecomDescription(dto) {
    return dto.telecomDescription;
}
function mapTelecomDtoToTelecom(dto) {
    return new Telecom_model_1.Telecom({
        telecomType: toTelecomTelecomType(dto),
        telecomNumber: toTelecomTelecomNumber(dto),
        telecomDescription: toTelecomTelecomDescription(dto),
    });
}
exports.mapTelecomDtoToTelecom = mapTelecomDtoToTelecom;
function mapTelecomToTelecomDto(domain) {
    return new typescript_common_1.TelecomDto({
        telecomType: toTelecomDtoTelecomType(domain),
        telecomNumber: toTelecomDtoTelecomNumber(domain),
        telecomDescription: toTelecomDtoTelecomDescription(domain),
        encryptedSelf: toTelecomDtoEncryptedSelf(domain),
    });
}
exports.mapTelecomToTelecomDto = mapTelecomToTelecomDto;
//# sourceMappingURL=Telecom.mapper.js.map