import { Annotation, IAnnotation } from '@icure/typescript-common';
import { ITelecom, Telecom } from './Telecom.model';
export declare class Address {
    addressType?: AddressAddressTypeEnum;
    description?: string;
    street?: string;
    houseNumber?: string;
    postboxNumber?: string;
    postalCode?: string;
    city?: string;
    state?: string;
    country?: string;
    note?: string;
    telecoms: Telecom[];
    notes: Annotation[];
    encryptedSelf?: string;
    toJSON(): IAddress;
    constructor(json: Partial<IAddress>);
}
export interface IAddress {
    addressType?: AddressAddressTypeEnum;
    description?: string;
    street?: string;
    houseNumber?: string;
    postboxNumber?: string;
    postalCode?: string;
    city?: string;
    state?: string;
    country?: string;
    note?: string;
    notes: IAnnotation[];
    telecoms: ITelecom[];
    encryptedSelf?: string;
}
export type AddressAddressTypeEnum = 'home' | 'work' | 'vacation' | 'hospital' | 'clinic' | 'hq' | 'other' | 'temporary' | 'postal' | 'diplomatic' | 'reference';
