import { CodingReference, EntityId, ICodingReference, Identifier, IIdentifier, ISO639_1, ISystemMetaDataEncrypted, SystemMetaDataEncrypted } from '@icure/typescript-common';
import { Content, IContent } from './Content.model';
export declare class DataSample {
    id: EntityId;
    transactionId?: string;
    identifiers: Identifier[];
    batchId?: string;
    healthcareElementIds?: string[];
    canvasesIds?: string[];
    index?: number;
    content: Partial<Record<ISO639_1, Content>>;
    valueDate?: number;
    openingDate?: number;
    closingDate?: number;
    created?: number;
    modified?: number;
    endOfLife?: number;
    author?: string;
    responsible?: string;
    comment?: string;
    qualifiedLinks: Record<string, Record<string, string>>;
    codes: CodingReference[];
    labels: CodingReference[];
    systemMetaData?: SystemMetaDataEncrypted;
    toJSON(): IDataSample;
    constructor(json: Partial<IDataSample>);
}
export interface IDataSample {
    id: EntityId;
    transactionId?: string;
    identifiers: IIdentifier[];
    batchId?: string;
    healthcareElementIds?: string[];
    canvasesIds?: string[];
    index?: number;
    content: Partial<Record<ISO639_1, IContent>>;
    valueDate?: number;
    openingDate?: number;
    closingDate?: number;
    created?: number;
    modified?: number;
    endOfLife?: number;
    author?: string;
    responsible?: string;
    comment?: string;
    qualifiedLinks: Record<string, Record<string, string>>;
    codes: ICodingReference[];
    labels: ICodingReference[];
    systemMetaData?: ISystemMetaDataEncrypted;
}
