"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataSample = void 0;
const typescript_common_1 = require("@icure/typescript-common");
const Content_model_1 = require("./Content.model");
let DataSample = class DataSample {
    toJSON() {
        var _a, _b;
        return {
            id: this.id,
            transactionId: this.transactionId,
            identifiers: this.identifiers.map((item) => item.toJSON()),
            batchId: this.batchId,
            healthcareElementIds: (_a = this.healthcareElementIds) === null || _a === void 0 ? void 0 : _a.map((item) => item),
            canvasesIds: (_b = this.canvasesIds) === null || _b === void 0 ? void 0 : _b.map((item) => item),
            index: this.index,
            content: Object.fromEntries(Object.entries(this.content).map(([k, v]) => [k, v.toJSON()])),
            valueDate: this.valueDate,
            openingDate: this.openingDate,
            closingDate: this.closingDate,
            created: this.created,
            modified: this.modified,
            endOfLife: this.endOfLife,
            author: this.author,
            responsible: this.responsible,
            comment: this.comment,
            qualifiedLinks: Object.assign({}, this.qualifiedLinks),
            codes: this.codes.map((item) => item.toJSON()),
            labels: this.labels.map((item) => item.toJSON()),
            systemMetaData: !!this.systemMetaData ? this.systemMetaData.toJSON() : undefined,
        };
    }
    constructor(json) {
        this.identifiers = [];
        this.healthcareElementIds = [];
        this.canvasesIds = [];
        this.content = {};
        this.qualifiedLinks = {};
        this.codes = [];
        this.labels = [];
        this.id = (0, typescript_common_1.forceUuid)(json['id']);
        if (json['transactionId'] !== undefined) {
            this.transactionId = json['transactionId'];
        }
        if (json['identifiers'] !== undefined) {
            this.identifiers = json['identifiers'].map((item) => new typescript_common_1.Identifier(item));
        }
        if (json['batchId'] !== undefined) {
            this.batchId = json['batchId'];
        }
        if (json['healthcareElementIds'] !== undefined) {
            this.healthcareElementIds = json['healthcareElementIds'].map((item) => item);
        }
        if (json['canvasesIds'] !== undefined) {
            this.canvasesIds = json['canvasesIds'].map((item) => item);
        }
        if (json['index'] !== undefined) {
            this.index = json['index'];
        }
        if (json['content'] !== undefined) {
            this.content = Object.fromEntries(Object.entries(json['content']).map(([k, v]) => [k, new Content_model_1.Content(v)]));
        }
        if (json['valueDate'] !== undefined) {
            this.valueDate = json['valueDate'];
        }
        if (json['openingDate'] !== undefined) {
            this.openingDate = json['openingDate'];
        }
        if (json['closingDate'] !== undefined) {
            this.closingDate = json['closingDate'];
        }
        if (json['created'] !== undefined) {
            this.created = json['created'];
        }
        if (json['modified'] !== undefined) {
            this.modified = json['modified'];
        }
        if (json['endOfLife'] !== undefined) {
            this.endOfLife = json['endOfLife'];
        }
        if (json['author'] !== undefined) {
            this.author = json['author'];
        }
        if (json['responsible'] !== undefined) {
            this.responsible = json['responsible'];
        }
        if (json['comment'] !== undefined) {
            this.comment = json['comment'];
        }
        if (json['qualifiedLinks'] !== undefined) {
            this.qualifiedLinks = Object.assign({}, json['qualifiedLinks']);
        }
        if (json['codes'] !== undefined) {
            this.codes = json['codes'].map((item) => new typescript_common_1.CodingReference(item));
        }
        if (json['labels'] !== undefined) {
            this.labels = json['labels'].map((item) => new typescript_common_1.CodingReference(item));
        }
        if (json['systemMetaData'] !== undefined) {
            this.systemMetaData = new typescript_common_1.SystemMetaDataEncrypted(json['systemMetaData']);
        }
    }
};
DataSample = __decorate([
    (0, typescript_common_1.mapTo)(typescript_common_1.ServiceDto),
    __metadata("design:paramtypes", [Object])
], DataSample);
exports.DataSample = DataSample;
//# sourceMappingURL=DataSample.model.js.map