import { Annotation, CodingReference, EntityId, IAnnotation, ICodingReference, Identifier, IIdentifier, ISystemMetaDataEncrypted, SystemMetaDataEncrypted } from '@icure/typescript-common';
export declare class HealthcareElement {
    id: EntityId;
    identifiers: Identifier[];
    rev?: string;
    created?: number;
    modified?: number;
    author?: string;
    responsible?: string;
    medicalLocationId?: string;
    labels: CodingReference[];
    codes: CodingReference[];
    endOfLife?: number;
    deletionDate?: number;
    healthcareElementId?: string;
    valueDate?: number;
    openingDate?: number;
    closingDate?: number;
    description?: string;
    note?: string;
    notes: Annotation[];
    systemMetaData?: SystemMetaDataEncrypted;
    toJSON(): IHealthcareElement;
    constructor(json: Partial<IHealthcareElement>);
}
export interface IHealthcareElement {
    id?: EntityId;
    identifiers: IIdentifier[];
    rev?: string;
    created?: number;
    modified?: number;
    author?: string;
    responsible?: string;
    medicalLocationId?: string;
    labels: ICodingReference[];
    codes: ICodingReference[];
    endOfLife?: number;
    deletionDate?: number;
    healthcareElementId?: string;
    valueDate?: number;
    openingDate?: number;
    closingDate?: number;
    description?: string;
    note?: string;
    notes: IAnnotation[];
    systemMetaData?: ISystemMetaDataEncrypted;
}
