"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HealthcareElement = void 0;
const typescript_common_1 = require("@icure/typescript-common");
let HealthcareElement = class HealthcareElement {
    toJSON() {
        return {
            id: this.id,
            identifiers: this.identifiers.map((item) => item.toJSON()),
            rev: this.rev,
            created: this.created,
            modified: this.modified,
            author: this.author,
            responsible: this.responsible,
            medicalLocationId: this.medicalLocationId,
            labels: this.labels.map((item) => item.toJSON()),
            codes: this.codes.map((item) => item.toJSON()),
            endOfLife: this.endOfLife,
            deletionDate: this.deletionDate,
            healthcareElementId: this.healthcareElementId,
            valueDate: this.valueDate,
            openingDate: this.openingDate,
            closingDate: this.closingDate,
            description: this.description,
            note: this.note,
            notes: this.notes.map((item) => item.toJSON()),
            systemMetaData: !!this.systemMetaData ? this.systemMetaData.toJSON() : undefined,
        };
    }
    constructor(json) {
        this.identifiers = [];
        this.labels = [];
        this.codes = [];
        this.notes = [];
        this.id = (0, typescript_common_1.forceUuid)(json['id']);
        if (json['identifiers'] !== undefined) {
            this.identifiers = json['identifiers'].map((item) => new typescript_common_1.Identifier(item));
        }
        if (json['rev'] !== undefined) {
            this.rev = json['rev'];
        }
        if (json['created'] !== undefined) {
            this.created = json['created'];
        }
        if (json['modified'] !== undefined) {
            this.modified = json['modified'];
        }
        if (json['author'] !== undefined) {
            this.author = json['author'];
        }
        if (json['responsible'] !== undefined) {
            this.responsible = json['responsible'];
        }
        if (json['medicalLocationId'] !== undefined) {
            this.medicalLocationId = json['medicalLocationId'];
        }
        if (json['labels'] !== undefined) {
            this.labels = json['labels'].map((item) => new typescript_common_1.CodingReference(item));
        }
        if (json['codes'] !== undefined) {
            this.codes = json['codes'].map((item) => new typescript_common_1.CodingReference(item));
        }
        if (json['endOfLife'] !== undefined) {
            this.endOfLife = json['endOfLife'];
        }
        if (json['deletionDate'] !== undefined) {
            this.deletionDate = json['deletionDate'];
        }
        if (json['healthcareElementId'] !== undefined) {
            this.healthcareElementId = json['healthcareElementId'];
        }
        if (json['valueDate'] !== undefined) {
            this.valueDate = json['valueDate'];
        }
        if (json['openingDate'] !== undefined) {
            this.openingDate = json['openingDate'];
        }
        if (json['closingDate'] !== undefined) {
            this.closingDate = json['closingDate'];
        }
        if (json['description'] !== undefined) {
            this.description = json['description'];
        }
        if (json['note'] !== undefined) {
            this.note = json['note'];
        }
        if (json['notes'] !== undefined) {
            this.notes = json['notes'].map((item) => new typescript_common_1.Annotation(item));
        }
        if (json['systemMetaData'] !== undefined) {
            this.systemMetaData = new typescript_common_1.SystemMetaDataEncrypted(json['systemMetaData']);
        }
    }
};
HealthcareElement = __decorate([
    (0, typescript_common_1.mapTo)(typescript_common_1.HealthElementDto),
    __metadata("design:paramtypes", [Object])
], HealthcareElement);
exports.HealthcareElement = HealthcareElement;
//# sourceMappingURL=HealthcareElement.model.js.map