import { base64string, CodingReference, EntityId, ICodingReference, IProperty, ISystemMetaDataOwner, Property, SystemMetaDataOwner } from '@icure/typescript-common';
import { Address, IAddress } from './Address.model';
import { IPersonName, PersonName } from './PersonName.model';
export declare class HealthcareProfessional {
    id: EntityId;
    rev?: string;
    created?: number;
    modified?: number;
    labels: CodingReference[];
    codes: CodingReference[];
    deletionDate?: number;
    name?: string;
    lastName?: string;
    firstName?: string;
    names: PersonName[];
    gender?: HealthcareProfessionalGenderEnum;
    civility?: string;
    speciality?: string;
    parentId?: string;
    addresses: Address[];
    languages: string[];
    picture?: base64string;
    specialityCodes: CodingReference[];
    notes?: string;
    properties: Property[];
    systemMetaData?: SystemMetaDataOwner;
    toJSON(): IHealthcareProfessional;
    constructor(json: Partial<IHealthcareProfessional>);
}
export interface IHealthcareProfessional {
    id?: EntityId;
    rev?: string;
    created?: number;
    modified?: number;
    labels: ICodingReference[];
    codes: ICodingReference[];
    deletionDate?: number;
    name?: string;
    lastName?: string;
    firstName?: string;
    names: IPersonName[];
    gender?: HealthcareProfessionalGenderEnum;
    civility?: string;
    speciality?: string;
    parentId?: string;
    addresses: IAddress[];
    languages: string[];
    picture?: base64string;
    specialityCodes: ICodingReference[];
    notes?: string;
    properties: IProperty[];
    systemMetaData?: ISystemMetaDataOwner;
}
export type HealthcareProfessionalGenderEnum = 'male' | 'female' | 'indeterminate' | 'changed' | 'changedToMale' | 'changedToFemale' | 'unknown';
