"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HealthcareProfessional = void 0;
const typescript_common_1 = require("@icure/typescript-common");
const Address_model_1 = require("./Address.model");
const PersonName_model_1 = require("./PersonName.model");
let HealthcareProfessional = class HealthcareProfessional {
    toJSON() {
        return {
            id: this.id,
            rev: this.rev,
            created: this.created,
            modified: this.modified,
            labels: this.labels.map((item) => item.toJSON()),
            codes: this.codes.map((item) => item.toJSON()),
            deletionDate: this.deletionDate,
            name: this.name,
            lastName: this.lastName,
            firstName: this.firstName,
            names: this.names.map((item) => item.toJSON()),
            gender: this.gender,
            civility: this.civility,
            speciality: this.speciality,
            parentId: this.parentId,
            addresses: this.addresses.map((item) => item.toJSON()),
            languages: this.languages.map((item) => item),
            picture: this.picture,
            specialityCodes: this.specialityCodes.map((item) => item.toJSON()),
            notes: this.notes,
            properties: this.properties.map((item) => item.toJSON()),
            systemMetaData: !!this.systemMetaData ? this.systemMetaData.toJSON() : undefined,
        };
    }
    constructor(json) {
        this.labels = [];
        this.codes = [];
        this.names = [];
        this.addresses = [];
        this.languages = [];
        this.specialityCodes = [];
        this.properties = [];
        this.id = (0, typescript_common_1.forceUuid)(json['id']);
        if (json['rev'] !== undefined) {
            this.rev = json['rev'];
        }
        if (json['created'] !== undefined) {
            this.created = json['created'];
        }
        if (json['modified'] !== undefined) {
            this.modified = json['modified'];
        }
        if (json['labels'] !== undefined) {
            this.labels = json['labels'].map((item) => new typescript_common_1.CodingReference(item));
        }
        if (json['codes'] !== undefined) {
            this.codes = json['codes'].map((item) => new typescript_common_1.CodingReference(item));
        }
        if (json['deletionDate'] !== undefined) {
            this.deletionDate = json['deletionDate'];
        }
        if (json['name'] !== undefined) {
            this.name = json['name'];
        }
        if (json['lastName'] !== undefined) {
            this.lastName = json['lastName'];
        }
        if (json['firstName'] !== undefined) {
            this.firstName = json['firstName'];
        }
        if (json['names'] !== undefined) {
            this.names = json['names'].map((item) => new PersonName_model_1.PersonName(item));
        }
        if (json['gender'] !== undefined) {
            this.gender = json['gender'];
        }
        if (json['civility'] !== undefined) {
            this.civility = json['civility'];
        }
        if (json['speciality'] !== undefined) {
            this.speciality = json['speciality'];
        }
        if (json['parentId'] !== undefined) {
            this.parentId = json['parentId'];
        }
        if (json['addresses'] !== undefined) {
            this.addresses = json['addresses'].map((item) => new Address_model_1.Address(item));
        }
        if (json['languages'] !== undefined) {
            this.languages = json['languages'].map((item) => item);
        }
        if (json['picture'] !== undefined) {
            this.picture = json['picture'];
        }
        if (json['specialityCodes'] !== undefined) {
            this.specialityCodes = json['specialityCodes'].map((item) => new typescript_common_1.CodingReference(item));
        }
        if (json['notes'] !== undefined) {
            this.notes = json['notes'];
        }
        if (json['properties'] !== undefined) {
            this.properties = json['properties'].map((item) => new typescript_common_1.Property(item));
        }
        if (json['systemMetaData'] !== undefined) {
            this.systemMetaData = new typescript_common_1.SystemMetaDataOwner(json['systemMetaData']);
        }
    }
};
HealthcareProfessional = __decorate([
    (0, typescript_common_1.mapTo)(typescript_common_1.HealthcarePartyDto),
    __metadata("design:paramtypes", [Object])
], HealthcareProfessional);
exports.HealthcareProfessional = HealthcareProfessional;
//# sourceMappingURL=HealthcareProfessional.model.js.map