import { base64string, CodingReference, EntityId, ICodingReference, Identifier, IIdentifier, IProperty, ISystemMetaDataOwner, Property, SystemMetaDataOwner } from '@icure/typescript-common';
export declare class MedicalDevice {
    id: EntityId;
    rev?: string;
    deletionDate?: number;
    identifiers: Identifier[];
    created?: number;
    modified?: number;
    author?: string;
    responsible?: string;
    labels: CodingReference[];
    codes: CodingReference[];
    endOfLife?: number;
    externalId?: string;
    name?: string;
    type?: string;
    brand?: string;
    model?: string;
    serialNumber?: string;
    parentId?: string;
    picture?: base64string;
    properties: Property[];
    systemMetaData?: SystemMetaDataOwner;
    toJSON(): IMedicalDevice;
    constructor(json: Partial<IMedicalDevice>);
}
export interface IMedicalDevice {
    id?: EntityId;
    rev?: string;
    deletionDate?: number;
    identifiers: IIdentifier[];
    created?: number;
    modified?: number;
    author?: string;
    responsible?: string;
    labels: ICodingReference[];
    codes: ICodingReference[];
    endOfLife?: number;
    externalId?: string;
    name?: string;
    type?: string;
    brand?: string;
    model?: string;
    serialNumber?: string;
    parentId?: string;
    picture?: base64string;
    properties: IProperty[];
    systemMetaData?: ISystemMetaDataOwner;
}
