"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MedicalDevice = void 0;
const typescript_common_1 = require("@icure/typescript-common");
let MedicalDevice = class MedicalDevice {
    toJSON() {
        return {
            id: this.id,
            rev: this.rev,
            deletionDate: this.deletionDate,
            identifiers: this.identifiers.map((item) => item.toJSON()),
            created: this.created,
            modified: this.modified,
            author: this.author,
            responsible: this.responsible,
            labels: this.labels.map((item) => item.toJSON()),
            codes: this.codes.map((item) => item.toJSON()),
            endOfLife: this.endOfLife,
            externalId: this.externalId,
            name: this.name,
            type: this.type,
            brand: this.brand,
            model: this.model,
            serialNumber: this.serialNumber,
            parentId: this.parentId,
            picture: this.picture,
            properties: this.properties.map((item) => item.toJSON()),
            systemMetaData: !!this.systemMetaData ? this.systemMetaData.toJSON() : undefined,
        };
    }
    constructor(json) {
        this.identifiers = [];
        this.labels = [];
        this.codes = [];
        this.properties = [];
        this.id = (0, typescript_common_1.forceUuid)(json['id']);
        if (json['rev'] !== undefined) {
            this.rev = json['rev'];
        }
        if (json['deletionDate'] !== undefined) {
            this.deletionDate = json['deletionDate'];
        }
        if (json['identifiers'] !== undefined) {
            this.identifiers = json['identifiers'].map((item) => new typescript_common_1.Identifier(item));
        }
        if (json['created'] !== undefined) {
            this.created = json['created'];
        }
        if (json['modified'] !== undefined) {
            this.modified = json['modified'];
        }
        if (json['author'] !== undefined) {
            this.author = json['author'];
        }
        if (json['responsible'] !== undefined) {
            this.responsible = json['responsible'];
        }
        if (json['labels'] !== undefined) {
            this.labels = json['labels'].map((item) => new typescript_common_1.CodingReference(item));
        }
        if (json['codes'] !== undefined) {
            this.codes = json['codes'].map((item) => new typescript_common_1.CodingReference(item));
        }
        if (json['endOfLife'] !== undefined) {
            this.endOfLife = json['endOfLife'];
        }
        if (json['externalId'] !== undefined) {
            this.externalId = json['externalId'];
        }
        if (json['name'] !== undefined) {
            this.name = json['name'];
        }
        if (json['type'] !== undefined) {
            this.type = json['type'];
        }
        if (json['brand'] !== undefined) {
            this.brand = json['brand'];
        }
        if (json['model'] !== undefined) {
            this.model = json['model'];
        }
        if (json['serialNumber'] !== undefined) {
            this.serialNumber = json['serialNumber'];
        }
        if (json['parentId'] !== undefined) {
            this.parentId = json['parentId'];
        }
        if (json['picture'] !== undefined) {
            this.picture = json['picture'];
        }
        if (json['properties'] !== undefined) {
            this.properties = json['properties'].map((item) => new typescript_common_1.Property(item));
        }
        if (json['systemMetaData'] !== undefined) {
            this.systemMetaData = new typescript_common_1.SystemMetaDataOwner(json['systemMetaData']);
        }
    }
};
MedicalDevice = __decorate([
    (0, typescript_common_1.mapTo)(typescript_common_1.DeviceDto),
    __metadata("design:paramtypes", [Object])
], MedicalDevice);
exports.MedicalDevice = MedicalDevice;
//# sourceMappingURL=MedicalDevice.model.js.map