"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Patient = void 0;
const typescript_common_1 = require("@icure/typescript-common");
const Address_model_1 = require("./Address.model");
const Partnership_model_1 = require("./Partnership.model");
const PatientHealthCareParty_model_1 = require("./PatientHealthCareParty.model");
const PersonName_model_1 = require("./PersonName.model");
let Patient = class Patient {
    toJSON() {
        return {
            id: this.id,
            rev: this.rev,
            identifiers: this.identifiers.map((item) => item.toJSON()),
            created: this.created,
            modified: this.modified,
            author: this.author,
            responsible: this.responsible,
            labels: this.labels.map((item) => item.toJSON()),
            codes: this.codes.map((item) => item.toJSON()),
            endOfLife: this.endOfLife,
            deletionDate: this.deletionDate,
            firstName: this.firstName,
            lastName: this.lastName,
            names: this.names.map((item) => item.toJSON()),
            companyName: this.companyName,
            languages: this.languages.map((item) => item),
            addresses: this.addresses.map((item) => item.toJSON()),
            civility: this.civility,
            gender: this.gender,
            birthSex: this.birthSex,
            mergeToPatientId: this.mergeToPatientId,
            mergedIds: this.mergedIds.map((item) => item),
            alias: this.alias,
            active: this.active,
            deactivationDate: this.deactivationDate,
            deactivationReason: this.deactivationReason,
            ssin: this.ssin,
            maidenName: this.maidenName,
            spouseName: this.spouseName,
            partnerName: this.partnerName,
            personalStatus: this.personalStatus,
            dateOfBirth: this.dateOfBirth,
            dateOfDeath: this.dateOfDeath,
            placeOfBirth: this.placeOfBirth,
            placeOfDeath: this.placeOfDeath,
            deceased: this.deceased,
            education: this.education,
            profession: this.profession,
            note: this.note,
            notes: this.notes.map((item) => item.toJSON()),
            administrativeNote: this.administrativeNote,
            nationality: this.nationality,
            race: this.race,
            ethnicity: this.ethnicity,
            picture: this.picture,
            externalId: this.externalId,
            partnerships: this.partnerships.map((item) => item.toJSON()),
            patientHealthCareParties: this.patientHealthCareParties.map((item) => item.toJSON()),
            patientProfessions: this.patientProfessions.map((item) => item.toJSON()),
            parameters: Object.assign({}, this.parameters),
            properties: this.properties.map((item) => item.toJSON()),
            systemMetaData: !!this.systemMetaData ? this.systemMetaData.toJSON() : undefined,
        };
    }
    constructor(json) {
        this.identifiers = [];
        this.labels = [];
        this.codes = [];
        this.names = [];
        this.languages = [];
        this.addresses = [];
        this.mergedIds = [];
        this.notes = [];
        this.partnerships = [];
        this.patientHealthCareParties = [];
        this.patientProfessions = [];
        this.parameters = {};
        this.properties = [];
        this.id = (0, typescript_common_1.forceUuid)(json['id']);
        if (json['rev'] !== undefined) {
            this.rev = json['rev'];
        }
        if (json['identifiers'] !== undefined) {
            this.identifiers = json['identifiers'].map((item) => new typescript_common_1.Identifier(item));
        }
        if (json['created'] !== undefined) {
            this.created = json['created'];
        }
        if (json['modified'] !== undefined) {
            this.modified = json['modified'];
        }
        if (json['author'] !== undefined) {
            this.author = json['author'];
        }
        if (json['responsible'] !== undefined) {
            this.responsible = json['responsible'];
        }
        if (json['labels'] !== undefined) {
            this.labels = json['labels'].map((item) => new typescript_common_1.CodingReference(item));
        }
        if (json['codes'] !== undefined) {
            this.codes = json['codes'].map((item) => new typescript_common_1.CodingReference(item));
        }
        if (json['endOfLife'] !== undefined) {
            this.endOfLife = json['endOfLife'];
        }
        if (json['deletionDate'] !== undefined) {
            this.deletionDate = json['deletionDate'];
        }
        if (json['firstName'] !== undefined) {
            this.firstName = json['firstName'];
        }
        if (json['lastName'] !== undefined) {
            this.lastName = json['lastName'];
        }
        if (json['names'] !== undefined) {
            this.names = json['names'].map((item) => new PersonName_model_1.PersonName(item));
        }
        if (json['companyName'] !== undefined) {
            this.companyName = json['companyName'];
        }
        if (json['languages'] !== undefined) {
            this.languages = json['languages'].map((item) => item);
        }
        if (json['addresses'] !== undefined) {
            this.addresses = json['addresses'].map((item) => new Address_model_1.Address(item));
        }
        if (json['civility'] !== undefined) {
            this.civility = json['civility'];
        }
        if (json['gender'] !== undefined) {
            this.gender = json['gender'];
        }
        if (json['birthSex'] !== undefined) {
            this.birthSex = json['birthSex'];
        }
        if (json['mergeToPatientId'] !== undefined) {
            this.mergeToPatientId = json['mergeToPatientId'];
        }
        if (json['mergedIds'] !== undefined) {
            this.mergedIds = json['mergedIds'].map((item) => item);
        }
        if (json['alias'] !== undefined) {
            this.alias = json['alias'];
        }
        if (json['active'] !== undefined) {
            this.active = json['active'];
        }
        if (json['deactivationDate'] !== undefined) {
            this.deactivationDate = json['deactivationDate'];
        }
        if (json['deactivationReason'] !== undefined) {
            this.deactivationReason = json['deactivationReason'];
        }
        if (json['ssin'] !== undefined) {
            this.ssin = json['ssin'];
        }
        if (json['maidenName'] !== undefined) {
            this.maidenName = json['maidenName'];
        }
        if (json['spouseName'] !== undefined) {
            this.spouseName = json['spouseName'];
        }
        if (json['partnerName'] !== undefined) {
            this.partnerName = json['partnerName'];
        }
        if (json['personalStatus'] !== undefined) {
            this.personalStatus = json['personalStatus'];
        }
        if (json['dateOfBirth'] !== undefined) {
            this.dateOfBirth = json['dateOfBirth'];
        }
        if (json['dateOfDeath'] !== undefined) {
            this.dateOfDeath = json['dateOfDeath'];
        }
        if (json['placeOfBirth'] !== undefined) {
            this.placeOfBirth = json['placeOfBirth'];
        }
        if (json['placeOfDeath'] !== undefined) {
            this.placeOfDeath = json['placeOfDeath'];
        }
        if (json['deceased'] !== undefined) {
            this.deceased = json['deceased'];
        }
        if (json['education'] !== undefined) {
            this.education = json['education'];
        }
        if (json['profession'] !== undefined) {
            this.profession = json['profession'];
        }
        if (json['note'] !== undefined) {
            this.note = json['note'];
        }
        if (json['notes'] !== undefined) {
            this.notes = json['notes'].map((item) => new typescript_common_1.Annotation(item));
        }
        if (json['administrativeNote'] !== undefined) {
            this.administrativeNote = json['administrativeNote'];
        }
        if (json['nationality'] !== undefined) {
            this.nationality = json['nationality'];
        }
        if (json['race'] !== undefined) {
            this.race = json['race'];
        }
        if (json['ethnicity'] !== undefined) {
            this.ethnicity = json['ethnicity'];
        }
        if (json['picture'] !== undefined) {
            this.picture = json['picture'];
        }
        if (json['externalId'] !== undefined) {
            this.externalId = json['externalId'];
        }
        if (json['partnerships'] !== undefined) {
            this.partnerships = json['partnerships'].map((item) => new Partnership_model_1.Partnership(item));
        }
        if (json['patientHealthCareParties'] !== undefined) {
            this.patientHealthCareParties = json['patientHealthCareParties'].map((item) => new PatientHealthCareParty_model_1.PatientHealthCareParty(item));
        }
        if (json['patientProfessions'] !== undefined) {
            this.patientProfessions = json['patientProfessions'].map((item) => new typescript_common_1.CodingReference(item));
        }
        if (json['parameters'] !== undefined) {
            this.parameters = Object.assign({}, json['parameters']);
        }
        if (json['properties'] !== undefined) {
            this.properties = json['properties'].map((item) => new typescript_common_1.Property(item));
        }
        if (json['systemMetaData'] !== undefined) {
            this.systemMetaData = new typescript_common_1.SystemMetaDataOwnerEncrypted(json['systemMetaData']);
        }
    }
};
Patient = __decorate([
    (0, typescript_common_1.mapTo)(typescript_common_1.PatientDto),
    __metadata("design:paramtypes", [Object])
], Patient);
exports.Patient = Patient;
//# sourceMappingURL=Patient.model.js.map