"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.iCureMedTechMessageFactory = void 0;
const typescript_common_1 = require("@icure/typescript-common");
class ICureMedTechMessageFactory extends typescript_common_1.ICureMessageFactory {
    emailOf(hcp) {
        if (!hcp.email)
            throw new Error(`No email address found for hcp user ${hcp.id}`);
        return hcp.email;
    }
    loginOf(user) {
        if (!user.login)
            throw new Error(`No login found for user ${user.id}`);
        return user.login;
    }
    nameOf(patient) {
        if (!patient.firstName)
            throw new Error(`No first name found for patient ${patient.id}`);
        return patient.firstName;
    }
}
exports.iCureMedTechMessageFactory = new ICureMedTechMessageFactory();
//# sourceMappingURL=MedTechMessageFactory.js.map