"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatICureApiUrl = exports.canConsumeForm = exports.isCodeInRange = void 0;
function isCodeInRange(codeRange, code) {
    if (codeRange === '0') {
        return true;
    }
    if (codeRange == code.toString()) {
        return true;
    }
    else {
        const codeString = code.toString();
        if (codeString.length != codeRange.length) {
            return false;
        }
        for (let i = 0; i < codeString.length; i++) {
            if (codeRange.charAt(i) != 'X' && codeRange.charAt(i) != codeString.charAt(i)) {
                return false;
            }
        }
        return true;
    }
}
exports.isCodeInRange = isCodeInRange;
function canConsumeForm(contentTypes) {
    return contentTypes.indexOf('multipart/form-data') !== -1;
}
exports.canConsumeForm = canConsumeForm;
function formatICureApiUrl(iCureUrl) {
    let formattedEndUrl = removeSlashEndOfApiUrl(iCureUrl);
    if (formattedEndUrl.match('^https?://[a-zA-Z0-9.-]+(:[0-9]+)?$') != null) {
        return formattedEndUrl;
    }
    throw Error(`Invalid API URL: Should respect the format ^https?://[a-zA-Z0-9.-]+{2,}(:d+)?$. Consider using only the constants of index.ts, except if you received any other information from the iCure Team`);
}
exports.formatICureApiUrl = formatICureApiUrl;
function removeSlashEndOfApiUrl(apiUrl) {
    return apiUrl.endsWith('/') ? apiUrl.substring(0, apiUrl.length - 1) : apiUrl;
}
//# sourceMappingURL=util.js.map